#include "ros/ros.h"
#include "std_msgs/String.h"
#include <sstream>

int main(int argc, char **argv)
{
	ros::init(argc, argv, "slow_publisher");

	ros::NodeHandle n;

	ros::Publisher pub = n.advertise<std_msgs::String>("slow_publisher", 1000);

	ros::Rate loop_rate(1);

	int count = 0;
	while (ros::ok())
	{
		std_msgs::String msg;

		std::stringstream ss;
		ss << "SlowPublisher " << count;
		msg.data = ss.str();

		pub.publish(msg);

		ros::spinOnce();

		loop_rate.sleep();
		++count;
	}

	return 0;
}